extern crate libloading;
mod message;
mod monitor;
mod output;
mod plugins;

// use libloading::{Library, Symbol};

use crate::monitor::Monitor;
use crate::output::Output;
use crate::message::Message;

fn main() {
    // let lib = Library::new("/home/crom/.gitprojects/rnetmon/plugins/output/stdout/target/debug/deps/libstdout.so").unwrap();

    // unsafe {
    //     let handle_message: Symbol<unsafe fn()> = lib.get(b"handle_message").unwrap();
    //     handle_message();
    // }

    let msg = Message{
    	emitter: "me".to_string(),
    	level: 10,
    	msg_type: "string".to_string(),
    	text: "Consectetur duis do dolor deserunt est minim dolore tempor et non duis.".to_string(),
    };

    let input = plugins::monitor::tester::Tester::new();

    let out = plugins::output::stdout::Stdout::new();
    out.on_message(&msg);

}
